Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.olap.domain
Interface XMLAConnection

All Superinterfaces:
  org.acegisecurity.acl.basic.AclObjectIdentity, AttributedObject, DataSource, InternalURI, OlapClientConnection, ReportDataSource, Resource, java.io.Serializable

All Known Implementing Classes:
  XMLAConnectionImpl

    public interface XMLAConnection

extends OlapClientConnection, ReportDataSource

Author:
  swood

Method Summary
`java.lang.String` | `getCatalog()` Catalog within the Data Source, like "FoodMart"
`java.lang.String` | `getDataSource()` XML/A Data Source, like "Provider=Mondrian;DataSource=MondrianFoodMart;"
`java.lang.String` | `getPassword()` password for HTTP authentication of XMLA
`java.lang.String` | `getURI()` URI for XML/A service, like "http://localhost:8080/jpivot/xmla"
`java.lang.String` | `getUsername()` username for HTTP authentication of XMLA
`void` | `setCatalog(java.lang.String catalog)`
`void` | `setDataSource(java.lang.String xmlaDataSource)`
`void` | `setPassword(java.lang.String password)`
`void` | `setURI(java.lang.String uri)`
`void` | `setUsername(java.lang.String username)`

Method Detail

### getURI

    java.lang.String getURI()

  URI for XML/A service, like "http://localhost:8080/jpivot/xmla"

  Specified by:
    `getURI` in interface `InternalURI`

### setURI

    void setURI(java.lang.String uri)

### getDataSource

    java.lang.String getDataSource()

  XML/A Data Source, like "Provider=Mondrian;DataSource=MondrianFoodMart;"

### setDataSource

    void setDataSource(java.lang.String xmlaDataSource)

### getCatalog

    java.lang.String getCatalog()

  Catalog within the Data Source, like "FoodMart"

### setCatalog

    void setCatalog(java.lang.String catalog)

### getUsername

    java.lang.String getUsername()

  username for HTTP authentication of XMLA

### setUsername

    void setUsername(java.lang.String username)

### getPassword

    java.lang.String getPassword()

  password for HTTP authentication of XMLA

### setPassword

    void setPassword(java.lang.String password)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.